bitel.billing.server.ipn.bean

## Class GateAddressManager

- java.lang.Object
- - bitel.billing.server.ipn.bean.GateAddressManager

-     public class GateAddressManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected int` | `mid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GateAddressManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GateAddress` | `getAddreeesByGateId(int gateId)`
    `GateAddress` | `getAddreeesByGateID(int gateId)` Deprecated.
    `AddressStruct` | `getAddressStruct(GateAddress address)` Возвращает значение параметра типа "Адрес" для данного договора
    `static void` | `loadFromResultSet(java.sql.ResultSet rs, GateAddress gateAddress)`
    `void` | `updateAddress(int gateID, GateAddress address)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### GateAddressManager

          public GateAddressManager(java.sql.Connection con,
                                    int mid)

  - ### Method Detail

    - #### getAddreeesByGateId

          public GateAddress getAddreeesByGateId(int gateId)

    - #### getAddreeesByGateID

          @Deprecated
          public GateAddress getAddreeesByGateID(int gateId)

      Deprecated.
      Использовать `getAddreeesByGateId(int)`.
      Parameters:
        `gateId` -
      Returns:

    - #### loadFromResultSet

          public static void loadFromResultSet(java.sql.ResultSet rs,
                                               GateAddress gateAddress)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### updateAddress

          public void updateAddress(int gateID,
                                    GateAddress address)

    - #### getAddressStruct

          public AddressStruct getAddressStruct(GateAddress address)

      Возвращает значение параметра типа "Адрес" для данного договора
      Parameters:
        `cid` - код договора
        `pid` - код параметра
      Returns: